[Scribus] Vedr. Re: Installing ng - debian

Oleksandr Moskalenko malex
Wed Mar 7 21:59:51 CET 2007

* Embrik Kaslegard <embrik_leifsson at yahoo.no> [2007-03-06 23:17:54 +0100]:

> Aurelien <orl at ammd.net> skrev: On Tue, Mar 06, 2007 at 08:01:06PM +0100, Embrik Kaslegard wrote :
> > 
> >     I'm new on this list, and new to Scribus as well. Now I am going to 
> > have a course wit teachers on Mars 30. I have had a look at Scribus 
> > 1.2, but I'm told that Scribus 1.3.x is much smoother.
> >     My problem is that I can't install scribus-ng. I follow the How-To 
> > on: 
> > http://www.scribus.net/index.php?name=Sections&req=viewarticle&artid=4&page=1
> >     I put the adresses in /etc/apt/sources.list
> >     apt-get update
> [1]
> >     Import the keys:
> >     gpg --keyserver wwwkeys.eu.pgp.net --recv-keys EEF818CF
> >     OK
> >     gpg --armor --export EEF818CF | apt-key add -
> >     This fails. I don't know why. 
> >     Is there anybody who can give me a hint?
> >     I run sarge, kernel 2.6.8
> Hum... That's quite odd that you have this gpg problem with Sarge, if I
> remember well, Sarge doesn't use package signature verification
> (debsig), it's just with Etch release that it has been included.
> Thus, it's normal that gpg --armor --export ... fails, cause apt-key
> can't work on Sarge (I'm perhaps wrong, but that's what I think).
> Isn't there any scribus package for Sarge on tagancha.org ?
> [1] If you don't have an error at this moment, then you don't need th
> gpg trick.
> just 
> apt-cache search scribus
>  (there you must see scribus-ng)
> then
> apt-get install scribus-ng
> See ya.
> I have tried tagancha to, the same problem. When I do apt-get update I don't
> get any messages. Everything looks nice. But apt-cache search doesn't give
> me any scribus-ng. It's kind of strange. Seems like I have o prepare for the
> course on a windows  box - not satisfying at all.. Embrik
> ==============================
> ORL (alias Yvette H.)
> _______________________________________________


The problem was that I didn't even have "scribus-ng" built for sarge until
late last night when I read a log of your conversation with mrdocs in #scribus
IRC channel. Now I do have such a package in our repositories, so you can
install it. Try refreshing your package database (apt-get update) and
installing Scribus 1.3 (apt-get install scribus-ng) again. I just tested the
installation in my sarge build chroot and it went fine. Frankly, I thought
nobody would be using Scribus 1.3 on Sarge because it has older libfreetype6
(2.1.7) and other things and my understanding is that Scribus works better
with Etch/Sid versions of such libraries i.e. there can be glitches when using
old libraries. You are quite welcome to try getting your job done on Sarge, of
course. I just want to caution you that dist-upgrading to Etch could be a
possibility if you hit a problem related to Sarge's old libraries. Etch is so
close to becoming new stable that you shouldn't run into any strange problems.



More information about the scribus mailing list